%global __requires_exclude ^perl\\(Digest::(MD5|SHA)\\)$

Summary:        Keyed-Hashing for Message Authentication
Name:           perl-Digest-HMAC
Version:        1.04
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Digest-HMAC
Source0:        https://cpan.metacpan.org/authors/id/A/AR/ARODLAND/Digest-HMAC-%{version}.tar.gz

BuildRequires:  make coreutils
BuildRequires:  perl-generators perl-interpreter perl(strict) perl(warnings)
BuildRequires:  perl(:VERSION) >= 5.4 perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(Exporter) perl(vars) perl(Digest::MD5) >= 2 perl(Digest::SHA) >= 1
Requires:       perl(Digest::MD5) >= 2 perl(Digest::SHA) >= 1

BuildArch:      noarch

%description
HMAC can be used for message integrity checking between shared keys and in combination with 
some other Digest algorithm, usually MD5 or SHA-1. Its mechanism is described in RFC 2104.

HMAC follows the generic Digest:: interface, but the constructor takes the secret key and 
the name of other simple Digest:: as argument.

%prep
%autosetup -n Digest-HMAC-%{version} 

for F in t/*.t; do
    perl -i -MConfig -ple 'print $Config{startperl} if $. == 1 && !s{\A#!.*perl\b}{$Config{startperl}}' "$F"
    chmod +x "$F"
done

%build
perl Makefile.PL NO_PACKLIST=1 NO_PERLLOCAL=1 INSTALLDIRS=vendor
%make_build

%install
%make_install
%{_fixperms} %{buildroot}/*

%check
export HARNESS_OPTIONS=j%{_smp_build_ncpus}
make test

%files
%license LICENSE
%doc Changes README
%{perl_vendorlib}/Digest/
%{_mandir}/man3/*.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.04-5
- Rebuilt for OpenCloudOS Stream 23.09

* Tue Aug 15 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.04-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.04-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.04-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 15 2022 Wang Guodong <gordonwwang@tencent.com> - 1.04-1
- package init.

